var baseInertia = 8;
var proximityAdjust = 1;
var timeout = 1;

function SetTransformer(obj, prop, finalValue, usePx, inertia, _iter)
{
	// check params
	if(obj == null || prop == null || finalValue == null) return;
	if(isNaN(finalValue)) return;

	// set inertia
	if(isNaN(inertia))
		inertia = baseInertia;
	
	// if all valid, go ahead
	var currentValue = parseInt(obj.style[prop]);
	var tempValue = currentValue + (finalValue - currentValue)/inertia;

	// proximity adjust
	if(Math.abs(currentValue - finalValue) < inertia)
	{
		if(Math.abs(currentValue - finalValue) < inertia)
		{
			obj.style[prop] = finalValue.toString() + (usePx)?'px':'';
			return;
		}

		if((tempValue - finalValue) > 0) tempValue -= proximityAdjust;
		else tempValue += proximityAdjust;
	}
	obj.style[prop] = tempValue.toString() + ((usePx)?'px':'');
	
	window.setTimeout(SetTransformer, timeout, obj, prop, finalValue, usePx, inertia);
}

function trace(msg)
{
	var d = new Date();
	document.title = d.getMinutes() + ':' + d.getSeconds() + ' - ' + msg;
}