var pathmap = "/map";
var pathdefault = "/default.aspx";
var site_images = "/site_images/";
var styles = "/styles/";
//var image_prefix = 'Image_';
//var image_roll = '_roll.gif'
//var image_ext_on = "roll";
//var image_ext_off = "up";
//var searchOldestYear = 1996;

// Declare Global Variables
var functionsCounter = -1;	// onload functions counter
// the highlighted Theme menu item
var highlightedTheme;
var highlightedThemeName;
var highlightedThemeColor;
// theme menu item prefix name: the name of a theme menu item is composed by this string and the NodeId of the item it refers to
var themeMenuPrefix = 't_';
// the highlighted menu item
var highlightedMenuItem;
var highlightedDosMenuItem;
// menu item prefix name: the name of a menu item is composed by this string and the NodeId of the item it refers to
var menuItemPrefix = 'm_';

// Declare Global Arrays
var OnLoadFunctions = new Array();

/********************************************
*	OBSOLETE FUNCTIONS: Portal version 5	*
********************************************/

function menuThemeOn(obj, color)
{
	if(obj == null) return;
	obj.style.cursor='pointer';

	obj.bgColor = color;

	MM_findObj('bar').bgColor = color;
	obj.getElementsByTagName('a')[0].style.fontWeight = 'bold';
	obj.getElementsByTagName('a')[0].style.color = 'white';

	if(highlightedTheme == obj) highlightedThemeColor = color;
}
// onMouseOut
function menuThemeOff(obj)
{
	if(obj == null) return;
	if(highlightedTheme != obj)
	{

		obj.bgColor='#FFFDED';
		obj.style.backgroundPosition='left top';
		if(highlightedThemeColor != null) document.getElementById('bar').bgColor = highlightedThemeColor;
		else document.getElementById('bar').bgColor = '';

		obj.getElementsByTagName('a')[0].style.fontWeight='normal';
		obj.getElementsByTagName('a')[0].style.color='#303030';
	}
}

/************************************************
*	END OBSOLETE FUNCTIONS: Portal version 5	*
************************************************/

//----------------------------------------------------------------------------------------
//	Internal Code

//	Author: APA
//	Created: 16-04-2007
//	Description: this function toggles visibility of passed object, by changing the style.display attribute value.
//	You can pass the obj or by object handle or by object id (as a string), the function will manage the two casis.
//	Visibility is obtained by changing the style.display attribute from 'none' to '' and vice-versa.
//	If you want it to toggle between 'none' and anther value, just specify it as second optional parameter (a string), i.e.:
//	ToggleVisibility(objName, 'in-line');
function ToggleVisibility(obj)
{
	// default show property for showing in display
	// if you want to have a 'show' with 'block' or 'in-line' or whatever else, specify the string as a second optional parameter of the function
	var defaultShow = '';
	if(arguments[1] != null) defaultShow = arguments[1];
	
	if(obj == null) return;
	
	if(typeof(obj) == 'string')
		obj = document.getElementById(obj);
	
	if(obj == null) return;
	
	obj.style.display = (obj.style.display == 'none')?defaultShow:'none';
};

// Load all functions, from Array OnLoadFunctions, while loading window
function LoadFunctions()
{
	var loadFunctions = "";
	for (i = 0; i < OnLoadFunctions.length; i++)
	{
		loadFunctions += OnLoadFunctions[i];
	}
	window.onload = new Function (loadFunctions);
}

//	Author: APA 26-02-2007
//	Description: this function is used to graphically move the local navigation panel from its original position (before
//	the content) to a location inside the content panel.
//	The function is executed on page load (see Array OnLoadFunctions):
//	* checks if panel and destination placeholder exist
//	* removes whitespace childnodes is present in the panel
//	* if panel still has child nodes it's moved to final destination, otherwise panel is made invisible
function LocalNavigation()
{
	var panel = document.getElementById('panel_local_navigation');
	var placeholder = document.getElementById('local_navigation');
	if(panel != null && placeholder != null)
	{
		// epure panel whitespace childNodes
		for(var i = panel.childNodes.length - 1; i > -1; i--)
			if(panel.childNodes[i].nodeName.toLowerCase() == '#text')
				panel.removeChild(panel.childNodes[i]);

		if(panel.childNodes.length == 0)
		{
			panel.style.display = 'none';
		}
		else
		{
			placeholder.appendChild(panel);
			panel.style.display = '';
		}
	}
};

function OpenWindowSendMail(url){
	var props = "toolbar=no,menubar=no,scrollbars=yes,top=100,left=100,height=350,width=375";
	window.open(url,"",props);
}

// used in the error message inside the Portal
function ErrorModule()
{
	var destinationUrl = '/asp/contatti/Contact.aspx?idC=6&url=' + escape(document.URL);
	document.location = destinationUrl;
}

// banner managing
function ShowBanner()
{
	var panel_banner = document.getElementById('panel_banner');
	if(panel_banner == null) return;
	var divs = panel_banner.getElementsByTagName('DIV');
	var random = Math.min(Math.floor(Math.random() * divs.length), divs.length - 1);
	for(var i = divs.length - 1; i >= 0; i--)
		if(i != random)
			panel_banner.removeChild(divs[i]);
	panel_banner.style.display = 'block';
}

//	Author: APA 26-02-2007
//	adapted by FPA 09-06-2008
//	Description:
//	returns the required param taken from unfiltered url
//	now also manages rewritten url (with p# s# instead of show/# src/#)
//	example with URL:	/map/show/123/src/456/prm/aaa.htm or /...-p123/...-s456/prm/aaa.htm or /default.aspx?show=123&src=456&prm=aaa
//	GetParamFromUrl('show') returns '123'; GetParamFromUrl('src') returns '456'; GetParamFromUrl('prm') returns 'aaa'
function GetParamFromUrl(paramName)
{
	paramName = paramName.toLowerCase();
	var url = document.URL.toLowerCase();
	if(url.indexOf('.aspx') == -1) // without querystring
	{
		//attempt to detect show (p#) or src (s#) in rewritten url
		var rePattern = null;
		switch (paramName) { //intercept params in SEO rewritten url 
			case 'show' : // intercept p# 
				rePattern = /[\/-]p[0-9]+[\.\/]/i;
				break;
			case 'src' : // intercept s# 
				rePattern = /[\/-]s[0-9]+[\.\/]/i;
				break;
		}
		if (rePattern != null) {
			var reMatch = url.match(rePattern);
			if (reMatch != null) {
				var myMatch = (reMatch[0]).toString();
				switch (paramName) {
					case 'show' :
						myMatch = myMatch.substring(myMatch.indexOf('p') + 1, myMatch.length);
						break;
					case 'src' :
						myMatch = myMatch.substring(myMatch.indexOf('s') + 1, myMatch.length);
						break;
				}
				var myId = parseInt(myMatch);
				if (!isNaN(myId)) {
					//alert(paramName + ": match in " + url + ": " + myId.toString());
					return myId.toString();
				}
			}
		}
		//detect show, src or other prm in old way
		url = url.substring(0, url.length - 4);//strip '.htm'
		var parts = new Array();
		parts = url.split('/');
		for(var i = 0; i < parts.length - 1; i++)
			if (parts[i] == paramName) {
				//alert(paramName + ": match in " + url + ": " + parts[i + 1]);
				return parts[i + 1];
			}
	}
	else // with querystring
	{
		url = url.substring(url.indexOf('?') + 1, url.length);
		var parts = new Array();
		parts = url.split('&');
		for(var i = 0; i < parts.length; i++)
		{
			var keyValue = parts[i].split('=');
			if (keyValue.length == 2 && keyValue[0] == paramName) {
				//alert(paramName + ": match in " + url + ": " + keyValue[1]);
				return keyValue[1];
			}
		}
	}
	//alert(paramName + ": no match in " + url);
	return null;
}

//
function HighlightMenuItem(NodeId)
{
	var obj = document.getElementById(menuItemPrefix + NodeId);
	if(obj != null)
	{
		highlightedMenuItem = obj;
		obj.className = 'selected';
	}
}

// Created by APA 10-05-2004
// function used for roll-over fx on menu items
// onMouseOver
function menuItemOn(obj)
{
	obj.className = 'selected';
}

// function used for roll-over fx on Themes menu
// onMouseOver
function SetHighlightedTheme(ThemeId)
{
	//alert('SetHighlightedTheme ' + ThemeId);
	var obj = document.getElementById(themeMenuPrefix + ThemeId);

	if(obj != null)
	{
		highlightedTheme = obj;
		obj.className = 'selected';
	}
	SetSelectedThemeName(ThemeId);
}

function SetSelectedThemeName(_themeID)
{
	_themeID = parseInt(_themeID);
	switch(_themeID)
	{
		case 46241: highlightedThemeName = 'Alimentazione';break;
		case 46691: highlightedThemeName = 'Ambiente';break;
		case 46741: highlightedThemeName = 'Salute';break;
		case 46701: highlightedThemeName = 'Casa';break;
		case 46161: highlightedThemeName = 'Soldi';break;
		case 45981: highlightedThemeName = 'Motori';break;
		case 46731: highlightedThemeName = 'Servizi e Societa';break;
		case 46711: highlightedThemeName = 'Tecnologia';break;
		case 46721: highlightedThemeName = 'Tempo Libero';break;
	}
	//return highlightedThemeName;
}

// Dossier specific functions used for roll-over fx on menu items
// onMouseOver
function DosMenuItemOn(obj)
{
	obj.style.backgroundPosition='0 -106px';
	obj.style.cursor='pointer';
}
// onMouseOut
function DosMenuItemOff(obj)
{
	if(highlightedDosMenuItem != obj)
	{
		obj.style.backgroundPosition='left top';
	}
}

function HighlightDosMenuItem(NodeId)
{
	var obj = document.getElementById(menuItemPrefix + NodeId);
	if(obj != null)
	{
		highlightedDosMenuItem = obj;
		DosMenuItemOn(obj);
	}
}

// functions used to highlight date when mouse rools over item
function hilightDateOn(objName)
{
	var obj = MM_findObj(objName);
	if(obj != null) obj.className = 'date_h'
}
function hilightDateOff(objName)
{
	var obj = MM_findObj(objName);
	if(obj != null) obj.className = 'date'
}

function DrawAttachIcon(attach)
{
	attach = attach.toLowerCase();
	if(attach.length < 4) return '';

	var attachExt = attach.substring(attach.length - 4);
	var attachIcon ='';
	var attachAlt = '';
	
	if(attachExt != '')
	{
		switch(attachExt)
		{
			case '.pdf':
				attachIcon = 'adobe.gif';
				attachAlt = 'scarica l\'allegato in formato PDF';
				break;
			case '.doc':
				attachIcon = 'word.gif';
				attachAlt = 'scarica l\'allegato in formato Word';
				break;
			default:
				return "";
				break;
		}

		if(attachIcon != '') return('<img src="/site_images/' + attachIcon + '" alt="' + attachAlt + '" width="12" heigth="13" border="0">');
	}
}

// created by APA | 30-12-2004
// epures strings form html tags and their content	
function EpureFromTags(str)
{
	var counting = true;
	var str2 = new String();
	for(var p = 0; p < str.length; p++)
	{
		if(str.charAt(p) == '<') counting = false;
		else if(str.charAt(p) == '>') counting = true;
			else if(counting == true) str2 += str.charAt(p)
	}
	return str2;
}

// function to redirect user to correct catalog or promotion
// commented the 5th of February 2007
/*
function ManageCathalogueLinks(isMember, magazine)
{
	if(magazine == '') return;
	var mag = magazine.toLowerCase();
	if(isMember != 'in assegnazione')
	{
		if(isMember)
		{
			if(mag == 'soldi & diritti')
				document.write('<b>Socio</b> che non possiede <b>Soldi & Diritti</b>: link al catalogo vecchio con solo <b>SD</b>');
			if(mag == 'salutest')
				document.write('<b>Socio</b> che non possiede <b>Salutest</b>: link al catalogo vecchio con solo <b>ST</b>');
		}
		else
		{
			if(mag == 'altroconsumo')
				document.write('utente <b>anonimo</b> che ha richiesto <b>AC</b>: link all\'offerta <b>AC + SD</b>');
			if(mag == 'soldi & diritti')
				document.write('utente <b>anonimo</b>: link all\'offerta <b>AC + SD</b>');
			if(mag == 'salutest')
				document.write('utente <b>anonimo</b>: link all\'offerta <b>AC + ST</b>');
		}
	}
	else
	{
		document.write('Gentile Socio, il tuo codice &egrave; in fase di assegnazione. Se vuoi comunque procedere con l\'acquisto di <b>' + magazine + '</b> <a href="#">clicca qui [catalogo con 2 riviste].</a>');
	}
}
*/

var sc_hp_silvercontent_thumbnail = null;
var sc_hp_icon_stop = '/site_images/icons/action_stop.gif';
var sc_hp_icon_loading = '/site_images/icons/loading.gif';

function SetHpSilverContentThumbnail(thumbnailUrl)
{
	sc_hp_silvercontent_thumbnail.src = sc_hp_icon_loading;
	sc_hp_silvercontent_thumbnail.src = thumbnailUrl;
};

function SetHpSilverContentsInitialize()
{
	sc_hp_silvercontent_thumbnail = document.getElementById('silver_thumbnail');
	sc_hp_silvercontent_thumbnail.onerror = function()
	{
		this.src = sc_hp_icon_stop;
	};

	var container = document.getElementById('silver_content_HP');
	if(container == null) return;
	
	var imgs = container.getElementsByTagName('A')[0];
	if(imgs != null)
		imgs.onmouseover();
	
};


//----------------------------------------------------------------------------------------
//Images
//external code

function MM_swapImgRestore() { //v3.0
	var i,x;
	var a = document.MM_sr; 
	for(i = 0; a && i < a.length && (x = a[i]) && x.oSrc; i++) 
		x.src = x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
	var i,j=0;
	var x;
	var a = MM_swapImage.arguments; 
	document.MM_sr = new Array; 
	for(i = 0; i < (a.length - 2); i += 3)
		if ((x = MM_findObj(a[i])) != null)
		{
			document.MM_sr[j++] = x; 
			if(!x.oSrc) 
				x.oSrc = x.src; 
			x.src = a[i + 2];
		}
}

function MM_showHideLayers()
{ //v3.0
	var i,p,v,obj,args=MM_showHideLayers.arguments;
	for (i=0; i<(args.length-2); i+=3) if ((obj=MM_findObj(args[i]))!=null) { v=args[i+2];
	if (obj.style) { obj=obj.style; v=(v=='show')?'visible':(v='hide')?'hidden':v; }
	obj.visibility=v; }
}


// funzione di cancellazione textarea
function MM_setTextOfTextfield(objName,x,newText) { //v3.0
  var obj = MM_findObj(objName); if (obj) obj.value = newText;
}

function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}

function changeBgColor(obj,color) {
  obj.style.backgroundColor = color;
}

function OpenWindow(url)
{
	window.open(url,"","resizable=yes,width=500,height=375");
}

function OpenWindowResize(url, width, height){
	var props = "toolbar=no,menubar=no,scrollbars=yes,top=100,left=100,height=" + height + ",width=" + width;
	window.open(url,"",props)
}

function OpenWindowResize2(url, width, height){
	var props = "menubar=yes, resizable=yes, scrollbars=yes,top=50,left=50,height=" + height + ",width=" + width;
	window.open(url,"",props)
}


function OpenWindowHome(url, width, height){
	var props = "status=yes, toolbar=yes, menubar=yes, scrollbars=yes, resizable=yes, top=100,left=200,height=" + height + ",width=" + width;
	window.open(url,"",props)
}

function openBrowser(url){
	window.open(url,"","toolbar=no,menubar=no,scrollbars=yes,top=180,left=300,height=180,width=350")
}

//----------------------------------------------------------------------------------------
/*
function HighlightImage(imageName)
{
	if (!document.images)
		return;
	var highlightedImage = null;
	for (var i = 0; i < document.images.length; i++)
	{
		if (document.images[i].name == imageName)
		{
			highlightedImage = document.images[i];
			break;
		}
	}
	if (!highlightedImage)
		return;
	var tempsrc = highlightedImage.src;
	tempsrc = tempsrc.replace(image_ext_off, image_ext_on);
	highlightedImage.src = tempsrc;
}
function HighlightSiteImage(nodeid)
{
	var imageName = image_prefix + nodeid;
	HighlightImage(imageName);
	for (var i = 1; i < 10; i++)
	{
		setTimeout("HighlightImage('" + imageName + "')", i * 500);
	}
}
*/

function HighlightSiteSelectBox(nodeid)
{
	for (var i = 0; i < document.forms.length; i++)
	{
		var frm = document.forms[i];
		var sel = frm.selectBox;
		if (sel != null)
		{
			for (var j = 0; j < sel.options.length; j++)
			{
				var url = sel.options[j].value;
				var temp = url;
				var p = temp.indexOf(".htm");
				if (p >= 0)
				{
					temp = temp.substring(0, p);
				}
				p = temp.lastIndexOf("/");
				if (p >= 0)
				{
					temp = temp.substr(p + 1);
				}
				var optionnodeid = temp;
				if (optionnodeid == nodeid)
				{
					sel.selectedIndex = j;
				}
			}
		}
	}
}


// Created by APA _ 27-07-2004
function HighlightSiteSelectBoxByText(objSelectBox, text)
{
	if (objSelectBox != null)
	{
		for (var j = 0; j < objSelectBox.options.length; j++)
		{
			if (objSelectBox.options[j].text == text)
			{
				objSelectBox.selectedIndex = j;
			}
		}
	}
}

function HighlightSiteSelectBox2(value)
{
	for (var i = 0; i < document.forms.length; i++)
	{
		var frm = document.forms[i];
		var sel = frm.selectBox;
		if (sel != null)
		{
			for (var j = 0; j < sel.options.length; j++)
			{
				if (value == sel.options[j].value)
				{
					sel.selectedIndex = j;
				}
			}
		}
	}
}

//	Created by APA _ 24-02-2004
function HighlightSiteSelectBoxUrlNode(formName)
{
	var urlNodeId = '';
	var temp = document.URL;

	var p = temp.indexOf(".htm");
	if (p >= 0)
	{
		temp = temp.substring(0, p);
	}
	p = temp.lastIndexOf("/");
	if (p >= 0)
	{
		temp = temp.substr(p + 1);
	}
	urlNodeId = temp;

	var frm = document.forms[formName];
	if(frm != null)
	{
		var sel = frm.selectBox;
		if (sel != null)
		{
			for (var j = 0; j < sel.options.length; j++)
			{
				var url = sel.options[j].value;
				var temp = url;
				var p = temp.indexOf(".htm");
				if (p >= 0)
				{
					temp = temp.substring(0, p);
				}
				p = temp.lastIndexOf("/");
				if (p >= 0)
				{
					temp = temp.substr(p + 1);
				}
				var optionnodeid = temp;
				if (optionnodeid == urlNodeId)
				{
					sel.selectedIndex = j;
				}
			}
		}
	}
}


function HighlightSiteSelectBox3(objSelectBox, NodeId)
{
	var sel = objSelectBox;
	if(sel != null)
	{
		for (var j = 0; j < sel.options.length; j++)
		{
			var url = sel.options[j].value;
			var temp = url;
			var p = temp.indexOf(".htm");
			if (p >= 0)
			{
				temp = temp.substring(0, p);
			}
			p = temp.lastIndexOf("/");
			if (p >= 0)
			{
				temp = temp.substr(p + 1);
			}
			var optionnodeid = temp;
			if (optionnodeid == NodeId)
			{
				sel.selectedIndex = j;
			}
		}
	}
}


function HighlightSiteSelectBoxOfForm(formName, NodeId)
{
	var frm = document.forms[formName];
	if(frm != null)
	{
		var sel = frm.selectBox;
		if (sel != null)
		{
			for (var j = 0; j < sel.options.length; j++)
			{
				var url = sel.options[j].value;
				var temp = url;
				var p = temp.indexOf(".htm");
				if (p >= 0)
				{
					temp = temp.substring(0, p);
				}
				p = temp.lastIndexOf("/");
				if (p >= 0)
				{
					temp = temp.substr(p + 1);
				}
				var optionnodeid = temp;
				if (optionnodeid == NodeId)
				{
					sel.selectedIndex = j;
				}
			}
		}
	}
}

function PreloadYearImages()
{
	MM_preloadImages('/site_images/1998_roll.gif', '/site_images/1999_roll.gif', '/site_images/2000_roll.gif', '/site_images/2001_roll.gif');
	MM_preloadImages('/site_images/2002_roll.gif', '/site_images/2003_roll.gif');
}

//----------------------------------------------------------------------------------------
//Search

function setFirstSubmit(frm, PageFirst)
{
	frm.first.value = PageFirst;
	frm.submit();
}

function setFirstZero(frm)
{
	frm.first.value = 0;
}

function setFirstZeroSubmit(frm)
{
	setFirstSubmit(frm, 0);
}

function setShowAndSubmit(frm, show)
{
	frm.show.value = show;	
	setFirstZeroSubmit(frm);
}

/// <author>ECH</author>
/// <summary>
/// Show the content of a HTML string in a DIV whatever is the browser
/// </summary>
/// <returns>Nothing</returns>
function DisplayList2(monthsString, _layer, _secLayer)
{
	var NS  = navigator.appName == "Netscape";
	var NS5 = (NS && parseInt(navigator.appVersion) > 4);
	var NS4 = (document.layers) ? true : false;
	var IE4 = (document.all) ? true : false;

	if (NS4)
	{
		listToDisplay = "<span>" + monthsString + "</span>";
		
		eval("document." + _layer + ".document." + _secLayer + ".document.write(monthsString)"); 
		eval("document." + _layer + ".document." + _secLayer + ".document.close()");
		//alert("NS4");
	}
	else 
	{
		if (NS5) 
		{
			eval("document.getElementById('" + _secLayer + "').innerHTML = monthsString");
			//alert("NS5");
		}
		else
		{
			// IE4+
			eval(_secLayer + ".innerHTML = monthsString");
		}
	}
}

//----------------------------------------------------------------------------------------

function doSelectBoxGoToURL(form)
{
var sb = form.selectBox;
var si = sb.selectedIndex;
var sv = sb.options[si].value;
if (sv == "")
	return;
location.href = sv;
}

function doSelectBoxOpenURL(form)
{
var sb = form.selectBox;
var si = sb.selectedIndex;
var sv = sb.options[si].value;
if (sv == "")
	return;
window.open(sv, "");
}

function doSelectBoxGoToPMT(form)
{
	var sb = form.selectBox;
	var si = sb.selectedIndex;
	var sv = sb.options[si].value;

	if (sv == "")
		return;

	var path = location.pathname;
	var p;
	var pathstart = "";
	p = path.indexOf(pathmap);
	if (p >= 0)
	{
		pathstart = path.substring(0, p);
	}
	p = path.indexOf(pathdefault);
	if (p >= 0)
	{
		pathstart = path.substring(0, p);
	}

	var path = pathstart + "/map/show/" + sv + ".htm";
	
	function setFirstSubmit(PageFirst)
	{
		var frm = document.forms["frmSearch"];
		frm.first.value = PageFirst;
		frm.submit();
	}
	
	location.href = path;
}

function ResetSelectExcept(form, sel)
{
	for(var i = 0; i < form.elements.length; i++)
	{
		if(form.elements[i] != sel)
			form.elements[i].selectedIndex = 0;
	}
}
//----------------------------------------------------------------------------------------

function setSelectBoxItem(selectBox, selectedItem)
{
	for (var i = 0; i < selectBox.options.length; i++)
	{
		var optionValue = selectBox.options[i].value;
		if (optionValue == selectedItem)
		{
			selectBox.selectedIndex = i;
			return;
		}
	}
}

function setCheckBoxItem(form, name, selectedItems)
{
	var itemsCounter = 0;

	var arrInput = form.getElementsByTagName('INPUT');
	for(var i = 0; i < arrInput.length; i++)
	{
		if(arrInput[i].id.substring(0, 8) == 'section_') itemsCounter++;
	}

	var arrSelectedItems = selectedItems.split(";");
	for (var j = 0; j < arrSelectedItems.length; j++)
	{
		selectedItem = arrSelectedItems[j];
		for (var i = 0; i < form.elements.length; i++)
		{
			var element = form.elements[i];
			if ((element.name == name) && (element.value == selectedItem))
			{
				element.checked = true;
				element.onclick = new Function(form.name + '.complete.checked = false;');
			}
		}
	}
	form.complete.checked = (itemsCounter == arrSelectedItems.length);
}

//----------------------------------------------------------------------------------------
 
function inviaForm()
{	var k = 0; 
	var em = document.form.email.value; 
	k = em.indexOf('.','@'); 
	if(k == -1)
	{
		alert('Attenzione, e-mail non valida o mancante'); 
		document.form.email.focus(); 
		return false;
	} 
	if(document.form.privacy.checked == false)
		alert("Se non accetti il trattamento dei tuoi dati personali non puoi proseguire");
	else
		document.form.submit();
}

//----------------------------------------------------------------------------------------

//	Created by APA _ 03-04-2007
function SilverContentPropertiesTranslator(propName)
{
	switch(propName)
	{
		case 'sc_brands'	:	return '';break;
		case 'sc_article'	:	return '';break;
		case 'sc_table'	:	return 'Test: ';break;
		case 'sc_bestbuy'	:	return 'Miglior Acquisto: ';break;
		case 'sc_calculator'	:	return '';break;
		case 'sc_guide'	:	return '';break;
		case 'sc_buyingguide'	:	return 'Guida All\'Acquisto: ';break;
		case 'sc_memberbenifit'	:	return '';break;
	}
	return null;
};

//	Created by APA _ 09-11-2004
function TypeTranslator(typeID)
{
	switch(typeID)
	{
		case 1	:	return 'Rivista';break;
		case 2	:	return 'Edizione';break;
		case 3	:	return 'Sezione';break;
		case 4	:	return 'Articolo';break;
		case 5	:	return 'Comunicato Stampa';break;
		case 6	:	return 'Cartella';break;
		case 7	:	return 'Rassegna Stampa';break;
		case 8	:	return 'Lettera Tipo';break;
		case 9	:	return 'Tabella Dinamica';break;
		case 10	:	return 'Gruppo di Documenti';break;
		case 11	:	return 'Documento Web';break;
		case 12	:	return 'Popup';break;
		case 13	:	return 'Pdf';break;
		case 23	:	return 'Forum';break;
		case 24	:	return 'Argomento';break;
		case 25	:	return 'Reazione';break;
		case 27	:	return 'Attenzione a...';break;
		case 28	:	return 'Pubblicazione';break;
		case 29	:	return 'Consiglio pratico';break;
		case 30	:	return 'Guida Pratica';break;
		case 32	:	return 'Notizia';break;
		case 33	:	return 'Tema';break;
		case 35	:	return 'Servizio online';break;
		case 36	:	return 'Parliamo di...';break;
		case 37	:	return 'Capitolo';break;
		case 38	:	return 'Collegamento';break;
		case 47	:	return 'Evento';break;
		case 48	:	return 'Location';break;
		case 49	:	return 'Offerta di Lavoro';break;
		case 50	:	return 'Archivio';break;
		case 51	:	return 'Pagina di Default';break;
		case 52	:	return 'Paragrafo';break;
		case 53	:	return 'Normativa';break;
		case 54	:	return 'Diritti';break;
		case 55	:	return 'La Nostra Voce';break;
		case 105:	return 'Test comparativo';break;
		case 110:	return 'In primo piano';break;
		case 111:	return 'Articolo';break;
		case 114:	return 'Servizio online';break;
		case 116:	return 'My Product Selector';break;
		case 117:	return 'Elemento multimediale';break;		
	}
	return null;
}

//	Created by APA _ 09-11-2004
function TranslateTypeId(typeId)
{
	var TypeName = TypeTranslator(typeId);
	if(TypeName == null) return '<i>tipo assente</i>';
	return TypeName;
}

//----------------------------------------------------------------------------------------


var UserData = (function()
	{
		// consts
		var ANONYMOUS = {Name:'ANONYMOUS'};
		var VISITOR = {Name:'VISITOR'};
		var MEMBER_NEW = {Name:'MEMBER_NEW'};
		var MEMBER = {Name:'MEMBER'};
		var HT_ONLY = {Name:'HT_ONLY'};

		// vars
		var memberCode = null;
		var isLogged = false;
		var isMember = false;
		var UserType = ANONYMOUS;

		function constructor()
		{
			// initialize
		};

		constructor.RecalculateType = function()
		{
			if(isLogged)
				if(isMember)
					if(memberCode == null || memberCode == '')
						UserType = MEMBER_NEW;
					else
						UserType = MEMBER;
				else
					if(memberCode == null || memberCode == '')
						UserType = VISITOR;
					else
						UserType = HT_ONLY;
			else
				UserType = ANONYMOUS;
		};
		
		constructor.SetMemberCode = function(_memberCode)
		{
			memberCode = _memberCode;
			this.RecalculateType();
		};
		
		constructor.SetIsMember = function(_isMember)
		{
			isMember = _isMember;
			this.RecalculateType();
		};
		
		constructor.SetIsLogged = function(_isLogged)
		{
			isLogged = _isLogged;
			this.RecalculateType();
		};
		
		constructor.Tell = function()
		{
			if(UserType == MEMBER)
				alert(UserType.Name + ': ' + memberCode);
			else
				alert(UserType.Name);
		};
		
		constructor.GetUserType = function()
		{
			return UserType;
		};
		
		constructor.GetMemberCode = function()
		{
			return memberCode;
		};
		
		return constructor;
	}
)();